#pragma once
//#include "FontPreviewCombo.h"
#include "ColorPickerCB.h"
#include "NMImgTabButton.h"

BOOL CALLBACK FD_EnumFontProc(LPLOGFONT lplf, LPTEXTMETRIC lptm, DWORD dwType, LPARAM lpData);

class CNFontDialog : public CDialog
{
	DECLARE_DYNAMIC(CNFontDialog)

public:
	CNFontDialog(CHARFORMAT2& charformat, CWnd* pParent = NULL);   // ǥ Դϴ.
	virtual ~CNFontDialog();

	enum { IDD = IDD_FONT_DIALOG };
	void GetCharFormat(CHARFORMAT2& cf) ;
	CComboBox m_cbFace;
	void __ResourceLoad(BOOL bInit);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV Դϴ.
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	virtual void OnCancel();

	virtual BOOL PreTranslateMessage(MSG* pMsg);

	DECLARE_MESSAGE_MAP()

	void UpdateFontData();
	bool IsCloseMsg(MSG* pMsg);

	afx_msg void OnPaint();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnCbnSelchangeComboFace();
	afx_msg void OnCbnSelchangeComboSize();
	afx_msg void OnCbnSelchangeComboColor();
	afx_msg void OnBnClickedButtonBold();
	afx_msg void OnBnClickedButtonUnderline();
	afx_msg void OnBnClickedButtonItalic();
	afx_msg void OnBnClickedButtonStrikeout();
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);

private:
	void SetSkin();
	void InitControl();
	CString GetFaceName();
	LONG GetSize();
	void SetFontWindowPos();

	CPen	m_penBorder;
	//CFontPreviewCombo m_cbFace;
	CString m_faceName;
	CComboBox m_cbSize;
	CColorPickerCB m_cbColor;
	CNMImgTabButton m_bnBold;
	CNMImgTabButton m_bnUnderLine;
	CNMImgTabButton m_bnItalic;
	CNMImgTabButton m_bnStrikeout;
	CButton m_bnOK;
	CButton m_bnCancel;
	CHARFORMAT2 m_cf;
	CRect m_rtSampleBox;
	CWnd* m_pParentChatWnd;

};
